﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Text;

namespace ResellerExampleCodeCSharp
{
 public partial class GetRequisition : System.Web.UI.Page 
{ 
    protected void Page_Load(object sender, System.EventArgs e) 
    { 
        
    }     


    /// <summary>
    /// Three possible outcomes:
    /// 1. Returns a byte array that is a PDF requisition.
    /// 2. Throws a soap error the req is not avaialbe yet.
    /// 3. Throws a soap error the order is not yours.
    /// </summary>
    public void getOrderRequisition() 
    { 
        ResellerServices.Orders orders = new ResellerServices.Orders(); 
        try { 
            //this is the order id you received back from the web service when you placed the order. 
            Int32 orderid = Int32.Parse(this.txtOrderID.Text); 
            
            //make the call to get the order detail. 
            string YourWebKey = ConfigurationSettings.AppSettings["DLSWebKey"].ToString();

  
            byte[] Content;
            Content = orders.GetOrderRequisitionImage(YourWebKey, orderid);
           
            
            Response.Clear();
            Response.Buffer = true;
            Response.ContentType = "application/pdf"; 
            Response.BinaryWrite(Content); 
                
            Response.End(); 
        } 
        catch (Exception ex) { 
            
            string sMsg = string.Format("Error rendering requisition: {0}", ex.Message); 
            this.ltMessage.Text = sMsg; 
        } 
    } 
   
     /// <summary>
     /// Two possible outcomes:
     /// 1. Returns the Order Object that is the header record.
     /// 2. Throws a soap error the order is not yours.
     /// </summary>
     public void getOrder() 
    { 

        ResellerServices.Orders orders = new ResellerServices.Orders(); 
        ResellerServices.OrdersEntity order = default(ResellerServices.OrdersEntity);
        try
        {
            //this is the order id you received back from the web service when you placed the order. 
            Int32 orderid = Int32.Parse(this.txtOrderID.Text);

            //get your web key from the app config.
            string YourWebKey = ConfigurationSettings.AppSettings["DLSWebKey"].ToString();

                       
            //get the order from the web service in terms of an object. 
            order = orders.GetOrder(YourWebKey, orderid);

            //User the data how you see fit. 
            StringBuilder sMsg = new StringBuilder();
            sMsg.Append("Order Information:");
            sMsg.AppendFormat("<br>OrderID: {0}", order.PK_OrderID);
            sMsg.AppendFormat("<br>Order Date: {0}", order.OrdDate);
            sMsg.AppendFormat("<br>Order Status: {0}", order.FK_StatusID);
            sMsg.AppendFormat("<br>Order Total: {0}", order.OrdTotal);

            this.ltMessage.Text = sMsg.ToString();
        }
        catch (Exception ex)
        {
            string sMsg = string.Format("Error rendering requisition: {0}", ex.Message);
            this.ltMessage.Text = sMsg; 
        }
    } 

    protected void btnOrderReq_Click(object sender, System.EventArgs e) 
    { 
        getOrderRequisition(); 
    } 
    protected void btnGetOrder_Click(object sender, System.EventArgs e) 
    { 
        getOrder(); 
    } 
} 
       
}
