﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Text;

namespace ResellerExampleCodeCSharp
{
    public partial class PlaceOrder : System.Web.UI.Page
    {

        protected void Page_Load(object sender, System.EventArgs e)
        {

        }

        protected void btnPlaceOrder_Click(object sender, System.EventArgs e)
        {
            try
            {
                //Instantiate the web service object 
                ResellerServices.Orders ResellerWebService = new ResellerServices.Orders();
                //Instantiate the Customer / Client / Patient object 
                ResellerServices.CustomersEntity CustomerEntity = new ResellerServices.CustomersEntity();
                //Instantiate the Order object 
                ResellerServices.OrdersEntity OrderEntity = new ResellerServices.OrdersEntity();

                //Set customer values 
                CustomerEntity.FirstName = "Test";
                //Required value for testing' 
                CustomerEntity.LastName = "Person";
                //Required value for testing' 
                CustomerEntity.DOB = "01/01/2009";
                //Required value for testing' 
                CustomerEntity.Gender = 2;
                //1=male, 2-female 
                CustomerEntity.Address1 = "123 Test Dr.";
                //required 
                CustomerEntity.City = "Some City";
                //required 
                CustomerEntity.FK_StateID = 26;
                //required 
                CustomerEntity.Zip = "77777";
                //required 
                CustomerEntity.Email = "test@directlabs.com";

                string Test_CWP = "1002";
                //test number for a cwp 
                string Test_FESerum = "5301";
                //test number for Iron, Serum 


                Int32 NewOrderID;
                //variable to hold the order id after the order has been replaced. 

                //option order values you may want to use. 
                OrderEntity.Instructions = "some special instructions";

                string YourWebKey = ConfigurationSettings.AppSettings["DLSWebKey"].ToString();

                try
                {
                    //call the place order method for dotnet developers. 
                    NewOrderID = ResellerWebService.PlaceOrderDotNet(YourWebKey, OrderEntity, CustomerEntity, new string[]{(string)Test_CWP,(string)Test_FESerum});
                }
                finally
                {
                    //dispose of object 
                    ResellerWebService.Dispose();
                }

                StringBuilder sMsg = new StringBuilder();
                sMsg.Append("Message placed successfully!");
                sMsg.AppendFormat("<br>For: {0} {1}", CustomerEntity.FirstName, CustomerEntity.LastName);
                sMsg.AppendFormat("<br>OrderID: {0}", NewOrderID);
                sMsg.Append("<br>Thank You!");

                this.ltMessage.Text = sMsg.ToString();
            }
            catch (Exception ex)
            {
                this.ltMessage.Text = string.Format("Error Occurred: {0}", ex.Message);

            }
        }
    } 

}
