﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;

namespace ResellerExampleCodeCSharp
{
    public partial class GetResultsData : System.Web.UI.Page
    {
      
        /// <summary>
        /// Method for returning a collection tables in the form of a DataSet for use in a dotnet application.
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void GetResults(object sender, System.EventArgs e)
        {

            Int32 OrderID;
            bool fok = Int32.TryParse(this.txtOrderID.Text,out OrderID);

            //1177595

            ResellerServices.Orders so = new ResellerServices.Orders();
            System.Data.DataSet ds = new System.Data.DataSet();

            //get your web key from the app config.
            string YourWebKey = ConfigurationSettings.AppSettings["DLSWebKey"].ToString();

            //make the call to get the results notes. 
            ds = so.GetOrderResults(YourWebKey, OrderID);


            int i = ds.Tables["ResultsMaster"].Rows.Count;
            int i2 = ds.Tables["ResultsDetail"].Rows.Count;
            int i3 = ds.Tables["ResultsNotes"].Rows.Count;

            Session.Add("ResultsMaster", ds.Tables["ResultsMaster"]);
            Session.Add("ResultsDetail", ds.Tables["ResultsDetail"]);


            Session.Add("ResultsNotes", ds.Tables["ResultsNotes"]);

            gvResults.DataSource = Session["ResultsMaster"];
            gvResults.DataBind();
            rpDetails.DataSource = Session["ResultsDetail"];
            rpDetails.DataBind();
        }

        protected void GetResultsData_LoadComplete(object sender, System.EventArgs e)
        {
            Session["ResultsMaster"] = null;
            Session["ResultsDetail"] = null;
            Session["ResultsNotes"] = null;
        }

        /// <summary>
        /// Returns a string of HL7 Results for a given order number.
        /// </summary>
        /// <returns></returns>
        protected String GetResultsHL7() {

            Int32 OrderID;
            bool fok = Int32.TryParse(this.txtOrderID.Text, out OrderID);

            ResellerServices.Orders so = new ResellerServices.Orders();
      

            //get your web key from the app config.
            string YourWebKey = ConfigurationSettings.AppSettings["DLSWebKey"].ToString();

            //make the call to get the results HL7
           string hl7 = so.GetOrderResultsHL7(YourWebKey, OrderID);


           return hl7;
            
    }

    } 
}
